## md4c 0.3.4

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 3.4)
project(MD4C C)

set(MD_VERSION_MAJOR 0)
set(MD_VERSION_MINOR 3)
set(MD_VERSION_RELEASE 4)
set(MD_VERSION "${MD_VERSION_MAJOR}.${MD_VERSION_MINOR}.${MD_VERSION_RELEASE}")

if(WIN32)
    # On Windows, given there is no standard lib install dir etc., we rather
    # by default build static lib.
    option(BUILD_SHARED_LIBS "help string describing option" OFF)
else()
    # On Linux, MD4C is slowly being adding into some distros which prefer
    # shared lib.
    option(BUILD_SHARED_LIBS "help string describing option" ON)
endif()

add_definitions(
    -DMD_VERSION_MAJOR=${MD_VERSION_MAJOR}
    -DMD_VERSION_MINOR=${MD_VERSION_MINOR}
    -DMD_VERSION_RELEASE=${MD_VERSION_RELEASE}
)

set(CMAKE_CONFIGURATION_TYPES Debug Release RelWithDebInfo MinSizeRel)
if("${CMAKE_BUILD_TYPE}" STREQUAL "")
    set(CMAKE_BUILD_TYPE $ENV{CMAKE_BUILD_TYPE})

    if("${CMAKE_BUILD_TYPE}" STREQUAL "")
        set(CMAKE_BUILD_TYPE "Release")
    endif()
endif()


if(${CMAKE_C_COMPILER_ID} MATCHES GNU|Clang)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
elseif(MSVC)
    # Disable warnings about the so-called unsecured functions:
    add_definitions(/D_CRT_SECURE_NO_WARNINGS)

    # Specify proper C runtime library:
    string(REGEX REPLACE "/M[DT]d?" "" CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG}")
    string(REGEX REPLACE "/M[DT]d?" "" CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE}")
    string(REGEX REPLACE "/M[DT]d?" "" CMAKE_C_FLAGS_RELWITHDEBINFO "{$CMAKE_C_FLAGS_RELWITHDEBINFO}")
    string(REGEX REPLACE "/M[DT]d?" "" CMAKE_C_FLAGS_MINSIZEREL "${CMAKE_C_FLAGS_MINSIZEREL}")
    set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /MTd")
    set(CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /MT")
    set(CMAKE_C_FLAGS_RELWITHDEBINFO "${CMAKE_C_FLAGS_RELEASE} /MT")
    set(CMAKE_C_FLAGS_MINSIZEREL "${CMAKE_C_FLAGS_RELEASE} /MT")
endif()

include(GNUInstallDirs)

add_subdirectory(md4c)
add_subdirectory(md2html)

=== md2html/CMakeLists.txt ===

include_directories("${PROJECT_SOURCE_DIR}/md4c")

add_executable(md2html cmdline.c cmdline.h entity.c entity.h md2html.c render_html.c render_html.h)
target_link_libraries(md2html md4c)

install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/md2html DESTINATION ${CMAKE_INSTALL_BINDIR})

=== md4c/CMakeLists.txt ===
# Be sure to export all symbols in Windows.
set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS 1)

set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DDEBUG")

add_definitions(-DMD4C_USE_UTF8)

set(md4c_src
    md4c.c
)

add_library(md4c ${md4c_src})

set_target_properties(md4c PROPERTIES
    VERSION ${MD_VERSION}
    SOVERSION ${MD_VERSION_MAJOR}
    PUBLIC_HEADER md4c.h
)

install(
    TARGETS md4c
    EXPORT md4cConfig
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)

# Create a pkg-config file
configure_file(md4c.pc.in md4c.pc @ONLY)
install(FILES ${CMAKE_BINARY_DIR}/md4c/md4c.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# And a CMake file
install(EXPORT md4cConfig DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/md4c/)

=== debian/changelog ===
md4c (0.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Fix watch file.
  * Fix copyright info of md2html/cmdline.{c,h}. Thanks Scott Kitterman for the
    pointer!
  * Remove fix_ma_path_in_pkgconfig.patch, applied upstream.
  * Refresh remaining package.
  * Bump debian/compat to 12.
  * Bump Standards-Version to 4.4.0, no changes required.
  * Add Build-Depends-Package: libmd4c-dev to symbols file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 24 Aug 2019 21:46:32 -0300

md4c (0.2.7+git17-gb9fcd47-1) unstable; urgency=medium

  * Initial release (Closes: #918072).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 09 Feb 2019 19:14:29 -0300

=== debian/control ===
Source: md4c
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: cmake, debhelper (>= 12), pkg-kde-tools
Standards-Version: 4.4.0
Section: libs
Homepage: https://github.com/mity/md4c
Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/md4c
Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/md4c.git

Package: libmd4c-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmd4c0 (= ${binary:Version}), ${misc:Depends}
Description: Markdown for C - development files
 MD4C is C Markdown parser with the following features:
 .
 Compliance: Generally MD4C aims to be compliant to the latest version of
 CommonMark specification. Right now fully compliant to CommonMark 0.28.
 .
 Extensions: MD4C supports some commonly requested and accepted extensions.
 .
 Compactness: MD4C is implemented in one source file and one header file.
 .
 Embedding: MD4C is easy to reuse in other projects, its API is very
 straightforward: There is actually just one function, md_parse().
 .
 Push model: MD4C parses the complete document and calls callback functions
 provided by the application for each start/end of block, start/end of a span,
 and with any textual contents.
 .
 Portability: MD4C builds and works on Windows and Linux, and it should
 be fairly simple to make it run also on most other systems.
 .
 Encoding: MD4C can be compiled to recognize ASCII-only control characters,
 UTF-8 and, on Windows, also UTF-16, i.e. what is on Windows commonly
 called just "Unicode". See more details below.
 .
 Permissive license: MD4C is available under the MIT license.
 .
 This package ships the library's development files.

Package: libmd4c0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Markdown for C
 MD4C is C Markdown parser with the following features:
 .
 Compliance: Generally MD4C aims to be compliant to the latest version of
 CommonMark specification. Right now fully compliant to CommonMark 0.28.
 .
 Extensions: MD4C supports some commonly requested and accepted extensions.
 .
 Compactness: MD4C is implemented in one source file and one header file.
 .
 Embedding: MD4C is easy to reuse in other projects, its API is very
 straightforward: There is actually just one function, md_parse().
 .
 Push model: MD4C parses the complete document and calls callback functions
 provided by the application for each start/end of block, start/end of a span,
 and with any textual contents.
 .
 Portability: MD4C builds and works on Windows and Linux, and it should
 be fairly simple to make it run also on most other systems.
 .
 Encoding: MD4C can be compiled to recognize ASCII-only control characters,
 UTF-8 and, on Windows, also UTF-16, i.e. what is on Windows commonly
 called just "Unicode". See more details below.
 .
 Permissive license: MD4C is available under the MIT license.

## md4c 0.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 project(MD4C C)
 
 set(MD_VERSION_MAJOR 0)
-set(MD_VERSION_MINOR 3)
-set(MD_VERSION_RELEASE 4)
+set(MD_VERSION_MINOR 4)
+set(MD_VERSION_RELEASE 1)
 set(MD_VERSION "${MD_VERSION_MAJOR}.${MD_VERSION_MINOR}.${MD_VERSION_RELEASE}")
 
 if(WIN32)

=== debian/changelog ===
md4c (0.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Fix typo in debian/copyright.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 20 Nov 2019 20:49:49 -0300

## md4c 0.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(MD_VERSION_MAJOR 0)
 set(MD_VERSION_MINOR 4)
-set(MD_VERSION_RELEASE 1)
+set(MD_VERSION_RELEASE 2)
 set(MD_VERSION "${MD_VERSION_MAJOR}.${MD_VERSION_MINOR}.${MD_VERSION_RELEASE}")
 
 if(WIN32)

=== debian/changelog ===
md4c (0.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Added myself to uploaders.
  * Bumped Standards-Version to 4.4.1, no changes required.
  * Added Rules-Requires-Root field.

 -- Patrick Franz <patfra71@gmail.com>  Sat, 07 Dec 2019 05:21:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: md4c
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
+Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
+           Patrick Franz <patfra71@gmail.com>
 Build-Depends: cmake, debhelper (>= 12), pkg-kde-tools
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Section: libs
+Rules-Requires-Root: no
 Homepage: https://github.com/mity/md4c
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/md4c
 Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/md4c.git

## md4c 0.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(MD_VERSION_MAJOR 0)
 set(MD_VERSION_MINOR 4)
-set(MD_VERSION_RELEASE 2)
+set(MD_VERSION_RELEASE 3)
 set(MD_VERSION "${MD_VERSION_MAJOR}.${MD_VERSION_MINOR}.${MD_VERSION_RELEASE}")
 
 if(WIN32)

=== md2html/CMakeLists.txt ===

include_directories("${PROJECT_SOURCE_DIR}/md4c")

add_executable(md2html cmdline.c cmdline.h entity.c entity.h md2html.c render_html.c render_html.h)
target_link_libraries(md2html md4c)

install(
    TARGETS md2html
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)

install(FILES "md2html.1" DESTINATION "${CMAKE_INSTALL_MANDIR}/man1")

=== md4c/CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,6 @@
 set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS 1)
 
 set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DDEBUG")
-
-add_definitions(-DMD4C_USE_UTF8)
 
 set(md4c_src
     md4c.c

=== debian/changelog ===
md4c (0.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Switch to debhelper-compat as a build-dependency.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Update debian/copywrite.

 -- Patrick Franz <patfra71@gmail.com>  Wed, 19 Feb 2020 19:29:35 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Patrick Franz <patfra71@gmail.com>
-Build-Depends: cmake, debhelper (>= 12), pkg-kde-tools
-Standards-Version: 4.4.1
+Build-Depends: cmake, debhelper-compat (= 12), pkg-kde-tools
+Standards-Version: 4.5.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://github.com/mity/md4c

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_missing:
	dh_missing --fail-missing

## md4c 0.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,11 @@
 
 set(MD_VERSION_MAJOR 0)
 set(MD_VERSION_MINOR 4)
-set(MD_VERSION_RELEASE 3)
+set(MD_VERSION_RELEASE 4)
 set(MD_VERSION "${MD_VERSION_MAJOR}.${MD_VERSION_MINOR}.${MD_VERSION_RELEASE}")
+
+set(PROJECT_VERSION "${MD_VERSION}")
+set(PROJECT_URL "https://github.com/mity/md4c")
 
 if(WIN32)
     # On Windows, given there is no standard lib install dir etc., we rather
@@ -52,5 +55,5 @@
 
 include(GNUInstallDirs)
 
-add_subdirectory(md4c)
+add_subdirectory(src)
 add_subdirectory(md2html)

=== debian/changelog ===
md4c (0.4.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper-compat to 13:
    - Drop dh_missing override, no longer needed.
  * Update disable_building_the_example.patch.
  * Add new binary packages libmd4c-html0 and libmd4c-html0-dev.

 -- Patrick Franz <patfra71@gmail.com>  Mon, 08 Jun 2020 14:35:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Patrick Franz <patfra71@gmail.com>
-Build-Depends: cmake, debhelper-compat (= 12), pkg-kde-tools
+Build-Depends: cmake, debhelper-compat (= 13), pkg-kde-tools
 Standards-Version: 4.5.0
 Section: libs
 Rules-Requires-Root: no
@@ -73,3 +73,69 @@
  called just "Unicode". See more details below.
  .
  Permissive license: MD4C is available under the MIT license.
+
+Package: libmd4c-html0-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
+Depends: libmd4c-html0 (= ${binary:Version}), ${misc:Depends}
+Description: Markdown for C HTML-renderer - development files
+ MD4C is C Markdown parser with the following features:
+ .
+ Compliance: Generally MD4C aims to be compliant to the latest version of
+ CommonMark specification. Right now fully compliant to CommonMark 0.28.
+ .
+ Extensions: MD4C supports some commonly requested and accepted extensions.
+ .
+ Compactness: MD4C is implemented in one source file and one header file.
+ .
+ Embedding: MD4C is easy to reuse in other projects, its API is very
+ straightforward: There is actually just one function, md_parse().
+ .
+ Push model: MD4C parses the complete document and calls callback functions
+ provided by the application for each start/end of block, start/end of a span,
+ and with any textual contents.
+ .
+ Portability: MD4C builds and works on Windows and Linux, and it should
+ be fairly simple to make it run also on most other systems.
+ .
+ Encoding: MD4C can be compiled to recognize ASCII-only control characters,
+ UTF-8 and, on Windows, also UTF-16, i.e. what is on Windows commonly
+ called just "Unicode". See more details below.
+ .
+ Permissive license: MD4C is available under the MIT license.
+ .
+ This package ships the standalone Markdown-to-HTML converter's development
+ files.
+
+Package: libmd4c-html0
+Architecture: any
+Multi-Arch: same
+Depends: libmd4c0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: Markdown for C HTML-renderer
+ MD4C is C Markdown parser with the following features:
+ .
+ Compliance: Generally MD4C aims to be compliant to the latest version of
+ CommonMark specification. Right now fully compliant to CommonMark 0.28.
+ .
+ Extensions: MD4C supports some commonly requested and accepted extensions.
+ .
+ Compactness: MD4C is implemented in one source file and one header file.
+ .
+ Embedding: MD4C is easy to reuse in other projects, its API is very
+ straightforward: There is actually just one function, md_parse().
+ .
+ Push model: MD4C parses the complete document and calls callback functions
+ provided by the application for each start/end of block, start/end of a span,
+ and with any textual contents.
+ .
+ Portability: MD4C builds and works on Windows and Linux, and it should
+ be fairly simple to make it run also on most other systems.
+ .
+ Encoding: MD4C can be compiled to recognize ASCII-only control characters,
+ UTF-8 and, on Windows, also UTF-16, i.e. what is on Windows commonly
+ called just "Unicode". See more details below.
+ .
+ Permissive license: MD4C is available under the MIT license.
+ .
+ This package ships the standalone Markdown-to-HTML converter.

## md4c 0.4.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(MD_VERSION_MAJOR 0)
 set(MD_VERSION_MINOR 4)
-set(MD_VERSION_RELEASE 4)
+set(MD_VERSION_RELEASE 5)
 set(MD_VERSION "${MD_VERSION_MAJOR}.${MD_VERSION_MINOR}.${MD_VERSION_RELEASE}")
 
 set(PROJECT_VERSION "${MD_VERSION}")

=== src/CMakeLists.txt ===

set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS 1)
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -DDEBUG")


# Build rules for MD4C parser library

configure_file(md4c.pc.in md4c.pc @ONLY)
add_library(md4c md4c.c md4c.h)
set_target_properties(md4c PROPERTIES
    COMPILE_FLAGS "-DMD4C_USE_UTF8"
    VERSION ${MD_VERSION}
    SOVERSION ${MD_VERSION_MAJOR}
    PUBLIC_HEADER md4c.h
)


# Build rules for HTML renderer library

configure_file(md4c-html.pc.in md4c-html.pc @ONLY)
add_library(md4c-html md4c-html.c md4c-html.h entity.c entity.h)
set_target_properties(md4c-html PROPERTIES
    VERSION ${MD_VERSION}
    SOVERSION ${MD_VERSION_MAJOR}
    PUBLIC_HEADER md4c-html.h
)
target_link_libraries(md4c-html md4c)


# Install rules

install(
    TARGETS md4c
    EXPORT md4cConfig
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)
install(FILES ${CMAKE_BINARY_DIR}/src/md4c.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
install(EXPORT md4cConfig DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/md4c/)

install(
    TARGETS md4c-html
    EXPORT md4cHtmlConfig
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)
install(FILES ${CMAKE_BINARY_DIR}/src/md4c-html.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
install(EXPORT md4cHtmlConfig DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/md4c-html/)

=== debian/changelog ===
md4c (0.4.6-1) unstable; urgency=medium

  * New upstream release.
  * Remove fix_CVE-2020-26148.patch as the patch is applied upstream.

 -- Patrick Franz <patfra71@gmail.com>  Wed, 30 Sep 2020 17:25:30 +0200

md4c (0.4.5-2) unstable; urgency=medium

  * Add fix_CVE-2020-26148.patch to fix CVE-2020-26148 (Closes: #971396).

 -- Patrick Franz <patfra71@gmail.com>  Wed, 30 Sep 2020 04:52:53 +0200

md4c (0.4.5-1) unstable; urgency=medium

  * New upstream release.

 -- Patrick Franz <patfra71@gmail.com>  Sat, 29 Aug 2020 00:16:35 +0200

## md4c 0.4.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(MD_VERSION_MAJOR 0)
 set(MD_VERSION_MINOR 4)
-set(MD_VERSION_RELEASE 5)
+set(MD_VERSION_RELEASE 7)
 set(MD_VERSION "${MD_VERSION_MAJOR}.${MD_VERSION_MINOR}.${MD_VERSION_RELEASE}")
 
 set(PROJECT_VERSION "${MD_VERSION}")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,6 +7,9 @@
 
 configure_file(md4c.pc.in md4c.pc @ONLY)
 add_library(md4c md4c.c md4c.h)
+if(CMAKE_C_COMPILER_ID MATCHES "Clang|GNU")
+    target_compile_options(md4c PRIVATE -Wall -Wextra)
+endif()
 set_target_properties(md4c PROPERTIES
     COMPILE_FLAGS "-DMD4C_USE_UTF8"
     VERSION ${MD_VERSION}

=== debian/changelog ===
md4c (0.4.7-2) unstable; urgency=medium

  * Cherry-pick commit to handle CVE-2021-30027 which can cause a denial
    of service (Closes: #987799).

 -- Patrick Franz <patfra71@gmail.com>  Mon, 03 May 2021 15:21:36 +0200

md4c (0.4.7-1) unstable; urgency=medium

  * New upstream release (0.4.7).
  * Bump Standards-Version to 4.5.1 (no changes needed).

 -- Patrick Franz <patfra71@gmail.com>  Wed, 30 Dec 2020 09:21:56 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Patrick Franz <patfra71@gmail.com>
 Build-Depends: cmake, debhelper-compat (= 13), pkg-kde-tools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://github.com/mity/md4c

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,3 @@
 
 %:
 	dh $@ --with pkgkde_symbolshelper
-
-override_dh_missing:
-	dh_missing --fail-missing

## md4c 0.4.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(MD_VERSION_MAJOR 0)
 set(MD_VERSION_MINOR 4)
-set(MD_VERSION_RELEASE 7)
+set(MD_VERSION_RELEASE 8)
 set(MD_VERSION "${MD_VERSION_MAJOR}.${MD_VERSION_MINOR}.${MD_VERSION_RELEASE}")
 
 set(PROJECT_VERSION "${MD_VERSION}")

=== debian/changelog ===
md4c (0.4.8-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:48:49 +0200

md4c (0.4.8-1) unstable; urgency=medium

  * New upstream release (0.4.8).
  * Remove fix_CVE-2021-30027.patch as the patch is applied upstream.

 -- Patrick Franz <deltaone@debian.org>  Mon, 16 Aug 2021 13:22:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: md4c
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Patrick Franz <patfra71@gmail.com>
+           Patrick Franz <deltaone@debian.org>
 Build-Depends: cmake, debhelper-compat (= 13), pkg-kde-tools
 Standards-Version: 4.5.1
 Section: libs

## md4c 0.5.2

=== debian/changelog ===
md4c (0.5.2-2) unstable; urgency=medium

  [ Andrea Pappacoda ]
  * Build and ship md2html utility (Closes: #1078352).

 -- Patrick Franz <deltaone@debian.org>  Sat, 21 Sep 2024 21:14:56 +0200

md4c (0.5.2-1) unstable; urgency=medium

  [ Andrea Pappacoda ]
  * New upstream release (0.5.2).
  * Add myself to the uploaders.
  * Update debian/* copyright years.
  * Disable build of md2html utility via debian/rules.
  * Add debian/upstream/metadata.
  * Use dh-sequence-pkgkde-symbolshelper.
  * Fix copyright info of md2html/cmdline.{c,h}.
    Thanks to Phil Wyett for the pointer!

 -- Andrea Pappacoda <andrea@pappacoda.it>  Sat, 07 Sep 2024 15:31:04 +0200

md4c (0.4.8-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Make libmd4c-dev depend on libmd4c-html0-dev.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Mon, 26 Aug 2024 21:41:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: md4c
+Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
-           Patrick Franz <deltaone@debian.org>
-Build-Depends: cmake, debhelper-compat (= 13), pkg-kde-tools
-Standards-Version: 4.5.1
-Section: libs
+           Patrick Franz <deltaone@debian.org>,
+           Andrea Pappacoda <andrea@pappacoda.it>,
+Build-Depends: cmake, debhelper-compat (= 13), dh-sequence-pkgkde-symbolshelper,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/mity/md4c
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/md4c
@@ -16,7 +16,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmd4c0 (= ${binary:Version}), ${misc:Depends}
+Depends: libmd4c-html0-dev (= ${binary:Version}),
+         libmd4c0 (= ${binary:Version}),
+         ${misc:Depends},
 Description: Markdown for C - development files
  MD4C is C Markdown parser with the following features:
  .
@@ -48,7 +50,7 @@
 Package: libmd4c0
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Markdown for C
  MD4C is C Markdown parser with the following features:
  .
@@ -79,7 +81,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmd4c-html0 (= ${binary:Version}), ${misc:Depends}
+Depends: libmd4c-html0 (= ${binary:Version}), ${misc:Depends},
 Description: Markdown for C HTML-renderer - development files
  MD4C is C Markdown parser with the following features:
  .
@@ -112,7 +114,7 @@
 Package: libmd4c-html0
 Architecture: any
 Multi-Arch: same
-Depends: libmd4c0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libmd4c0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends},
 Description: Markdown for C HTML-renderer
  MD4C is C Markdown parser with the following features:
  .
@@ -140,3 +142,20 @@
  Permissive license: MD4C is available under the MIT license.
  .
  This package ships the standalone Markdown-to-HTML converter.
+
+Package: md2html
+Section: text
+Architecture: any
+Multi-Arch: no
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Markdown to HTML converter
+ md2html is a command line utility based on the MD4C library which converts
+ Markdown files to HTML.
+ .
+ It supports the CommonMark and GitHub Flavored dialects of Markdown, and has
+ multiple options enabling different extensions like URL autolinking,
+ strikethrough, tables, and more.
+ .
+ Being based on the MD4C library, it benefits from its performance and
+ portability. For more information about the MD4C library, see the libmd4c-dev
+ package.

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%md4c-$1.tar.gz%" \
   https://github.com/mity/md4c/tags \
   (?:.*?/)?release-?(\d[\d.]*)\.tar\.gz debian uupdate
